%global pypi_name websockify

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        WebSockets support for any application/server

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

Requires:       %{pypi_name}

%description
WebSockets support for any application/server.

%package -n %{pypi_name}
Summary:        WebSockets support for any application/server
Group:          Development/Python
Requires:	python-pkg-resources

%description -n %{pypi_name}
WebSockets support for any application/server.

%package -n python3-%{pypi_name}
Summary:        WebSockets support for any application/server
Group:          Development/Python

Requires:       %{pypi_name}

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{pypi_name}
WebSockets support for any application/server.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%{python2_sitelib}/%{pypi_name}*

%files -n %{pypi_name}
%{_bindir}/websockify
%{_datadir}/websockify

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*


%changelog
* Wed Dec 16 2015 daviddavid <daviddavid> 0.7.0-1.mga6
+ Revision: 911004
- new version: 0.7.0
- use new python macros

* Thu Oct 08 2015 tv <tv> 0.5.1-10.mga6
+ Revision: 887581
- rebuild for python 3.5

* Fri Apr 10 2015 luigiwalser <luigiwalser> 0.5.1-9.mga5
+ Revision: 820057
- add python-pkg-resources requires to correct package, websockify (mga#15622)

* Fri Apr 03 2015 luigiwalser <luigiwalser> 0.5.1-8.mga5
+ Revision: 819693
- require python-pkg-resources (mga#15622)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-7.mga5
+ Revision: 744958
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.1-6.mga5
+ Revision: 729982
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-5.mga5
+ Revision: 688417
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.1-4.mga5
+ Revision: 629097
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-3.mga4
+ Revision: 544453
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.1-2.mga4
+ Revision: 499717
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 09 2013 neoclust <neoclust> 0.5.1-1.mga4
+ Revision: 493953
- imported package python-websockify

